{VERSION 1 1 "MS-Windows" "1.0"}{GLOBALS 1 2}{FONT 0 "Avalon" "Av
alon" "Helvetica-Bold" 7 12 0 "Helvetica-Bold" 12{COLOR "000080"}
}{FONT 1 "Avalon" "Avalon" "Helvetica-Bold" 7 12 0 "Helvetica-Bol
d" 12{COLOR "800000"}}{FONT 2 "Avalon" "Avalon" "Courier" 4 12 
128 "Courier" 12{COLOR "000000"}}{SCP_R 0 0 11{SCP_R 1 0 14{INP_R
 3 0 "> "{TEXT 0 24 "# Redshift for Release 3"}}{INP_R 6 0 "> "
{TEXT 0 1 "#"}}{INP_R 9 0 "> "{TEXT 0 96 "# This worksheet demons
trates how to use Maple V's file I/O capabilities to plot a 3-dim
ensional"}}{INP_R 12 0 "> "{TEXT 0 45 "# graph of the galaxies ar
ound the Milky Way."}}{INP_R 15 0 "> "{TEXT 0 1 "#"}}{INP_R 18 0 
"> "{TEXT 0 101 "# The first function galaxydata creates a file c
ontaining the distance and positions of the galaxies "}}{INP_R 21
 0 "> "{TEXT 0 92 "# to be plotted from the catalogue file (shipp
ed in the universe.tgz archive). The number of"}}{INP_R 24 0 "> "
{TEXT 0 50 "# galaxies written to the target file is returned."}}
{INP_R 27 0 "> "{TEXT 0 1 "#"}}{INP_R 30 0 "> "{TEXT 0 96 "# The \+
last four statements at the bottom of this worksheet read in the \+
created file and display "}}{INP_R 33 0 "> "{TEXT 0 25 "# the gal
axies on screen."}}{INP_R 36 0 "> "{TEXT 0 2 "# "}}{INP_R 39 0 ">
 "{TEXT 0 61 "# Author: Alexander F. Walz, afw@bigfoot.com - Apri
l 16, 1999"}}{OUT_R 42 0 39{TEXT 2 1 "\012"}}}{SCP_R 44 0 2{INP_R
 46 0 "> "{TEXT 0 8 "restart:"}}{OUT_R 49 0 46{TEXT 2 1 "\012"}}}
{SCP_R 51 0 43{INP_R 53 0 "> "{TEXT 0 78 "galaxydata := proc(inpu
t: string, output: string, maxdist:\{integer, constant\})"}}
{INP_R 56 0 "> "{TEXT 0 98 "   # by Alexander F. Walz, July 1997,
 May 1998, December 13, 1998, February 07, 1999 for Release 3"}}
{INP_R 59 0 "> "{TEXT 0 19 "   # April 17, 1999"}}{INP_R 62 0 "> \+
"{TEXT 0 62 "   local a, d, ra_decimal, decl_decimal, cx, cy, cz,
 distance,"}}{INP_R 65 0 "> "{TEXT 0 57 "         alt, dist, dec,
 cartx, carty, cartz, counter, i;"}}{INP_R 68 0 "> "{TEXT 0 0 ""}
}{INP_R 71 0 "> "{TEXT 0 48 "   dist := radialv -> 1/73*radialv; \+
  # distance"}}{INP_R 74 0 "> "{TEXT 0 55 "   dec := (hrs, min, s
ek) -> hrs + min/60 + sek/3600;  "}}{INP_R 77 0 "> "{TEXT 0 57 " \+
    # conversion of sexagesimal values to decimal values"}}{INP_R
 80 0 "> "{TEXT 0 34 "   cartx := ra -> cos(ra/12*Pi);  "}}{INP_R
 83 0 "> "{TEXT 0 62 "     # conversion of right ascension to car
tesian x-coordinate"}}{INP_R 86 0 "> "{TEXT 0 34 "   carty := ra \+
-> sin(ra/12*Pi);  "}}{INP_R 89 0 "> "{TEXT 0 62 "     # conversi
on of right ascension to cartesian y-coordinate"}}{INP_R 92 0 "> \+
"{TEXT 0 36 "   cartz := deg -> sin(deg*Pi/180); "}}{INP_R 95 0 "
> "{TEXT 0 62 "     # conversion of right ascension to cartesian \+
z-coordinate"}}{INP_R 98 0 "> "{TEXT 0 0 ""}}{INP_R 101 0 "> "
{TEXT 0 50 "   Digits := 7;   # reduce size of the output file"}}
{INP_R 104 0 "> "{TEXT 0 56 "   counter := 0;  # number of galaxi
es within radius Mpc"}}{INP_R 107 0 "> "{TEXT 0 18 "   readlib(wr
ite);"}}{INP_R 110 0 "> "{TEXT 0 36 "   open(output);  # open out
put file"}}{INP_R 113 0 "> "{TEXT 0 5 "   do"}}{INP_R 116 0 "> "
{TEXT 0 54 "      alt := readline(input);   # read in current lin
e"}}{INP_R 119 0 "> "{TEXT 0 48 "      if alt=0 then break; fi;  \+
# EOF, exit loop"}}{INP_R 122 0 "> "{TEXT 0 22 "      a := map(pa
rse, "}}{INP_R 125 0 "> "{TEXT 0 109 "         [seq(substring(alt
, i), i=[11 .. 12, 13 .. 14, 15 .. 18, 19 .. 21, 22 .. 23, 24 .. \+
25, 31 .. 35])]);"}}{INP_R 128 0 "> "{TEXT 0 34 "        # conver
t string to a list"}}{INP_R 131 0 "> "{TEXT 0 22 "      d := dist
(a[7]);"}}{INP_R 134 0 "> "{TEXT 0 42 "      ra_decimal := dec(a[
1], a[2], a[3]);"}}{INP_R 137 0 "> "{TEXT 0 85 "      decl_decima
l := `if`(a[4] < 0, -dec(-a[4], a[5], a[6]), dec(a[4], a[5], a[6]
));"}}{INP_R 140 0 "> "{TEXT 0 39 "      cx := evalf(d*cartx(ra_d
ecimal));"}}{INP_R 143 0 "> "{TEXT 0 39 "      cy := evalf(d*cart
y(ra_decimal));"}}{INP_R 146 0 "> "{TEXT 0 41 "      cz := evalf(
d*cartz(decl_decimal));"}}{INP_R 149 0 "> "{TEXT 0 47 "      dist
ance := evalhf(sqrt(cx^2+cy^2+cz^2));"}}{INP_R 152 0 "> "{TEXT 0 
33 "      if distance < maxdist then "}}{INP_R 155 0 "> "{TEXT 0 
32 "         counter := counter + 1;"}}{INP_R 158 0 "> "{TEXT 0 
41 "         writeln(distance, cx, cy, cz);  "}}{INP_R 161 0 "> "
{TEXT 0 47 "            # write coordinates a separate line"}}
{INP_R 164 0 "> "{TEXT 0 9 "      fi;"}}{INP_R 167 0 "> "{TEXT 0 
6 "   od;"}}{INP_R 170 0 "> "{TEXT 0 32 "   close();  # close out
put file"}}{INP_R 173 0 "> "{TEXT 0 10 "   counter"}}{INP_R 176 0
 "> "{TEXT 0 4 "end:"}}{OUT_R 179 0 176{TEXT 2 1 "\012"}}}{SCP_R 
181 0 2{INP_R 183 0 "> "{TEXT 0 70 "galaxydata(`c:/data/redshift.
txt`, `c:/data/redinfr3.txt`, 150);#14729"}}{OUT_R 186 8192 183
{DAG j3x00014729}}}{SCP_R 188 0 1{OUT_R 190 0 0{TEXT 2 1 "\012"}}
}{SCP_R 192 0 2{INP_R 194 0 "> "{TEXT 0 8 "restart:"}}{OUT_R 197 
0 194{TEXT 2 1 "\012"}}}{SCP_R 199 0 2{INP_R 201 0 "> "{TEXT 0 57
 "d := readlib(readdata)(`c:/data/redinfr3.txt`, float, 4):"}}
{OUT_R 204 0 201{TEXT 2 1 "\012"}}}{SCP_R 206 0 2{INP_R 208 0 "> \+
"{TEXT 0 59 "f := (x, parsec) -> `if`(x[1] < parsec, [x[2 .. 4]],
 NULL):"}}{OUT_R 211 0 208{TEXT 2 1 "\012"}}}{SCP_R 213 0 2{INP_R
 215 0 "> "{TEXT 0 20 "g := map(f, d, 150):"}}{OUT_R 218 0 215
{TEXT 2 1 "\012"}}}{SCP_R 220 0 4{INP_R 222 0 "> "{TEXT 0 19 "plo
ts[pointplot](g,"}}{INP_R 225 0 "> "{TEXT 0 48 "   symbol=POINT, \+
color=navy, orientation=[0, 0],"}}{INP_R 228 0 "> "{TEXT 0 36 "  \+
 axes=FRAME, scaling=constrained);"}}{OUT_R 231 0 228{TEXT 2 1 "\
012"}}}{SCP_R 233 0 1{INP_R 235 0 "> "{TEXT 0 0 ""}}}}{END}
